Package org.apache.datasketches.hive.quantiles

## Class GetPmfFromDoublesSketchUDF

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.UDF
  - - org.apache.datasketches.hive.quantiles.GetPmfFromDoublesSketchUDF

    public class GetPmfFromDoublesSketchUDF
    extends org.apache.hadoop.hive.ql.exec.UDF

### Constructor Summary

Constructors
`GetPmfFromDoublesSketchUDF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Double>` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch, Boolean inclusive, Double... splitPoints)` Returns a list of fractions (PMF) from a given sketch
`List<Double>` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch, Double... splitPoints)` Returns a list of fractions (PMF) from a given sketch.

### Methods inherited from class org.apache.hadoop.hive.ql.exec.UDF

`getRequiredFiles, getRequiredJars, getResolver, setResolver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetPmfFromDoublesSketchUDF

    public GetPmfFromDoublesSketchUDF()

### Method Detail

#### evaluate

    public List<Double> evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch,
                                 Double... splitPoints)

Returns a list of fractions (PMF) from a given sketch. Equivalent to calling GetPMF(sketch, true, splitPoints...)

Parameters:
  `serializedSketch` - serialized sketch
  `splitPoints` - list of unique and monotonically increasing values
Returns:
  list of fractions from 0 to 1

#### evaluate

    public List<Double> evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch,
                                 Boolean inclusive,
                                 Double... splitPoints)

Returns a list of fractions (PMF) from a given sketch

Parameters:
  `serializedSketch` - serialized sketch
  `inclusive` - if true, the interval is inclusive of the left split point and exclusive of the right split point
  `splitPoints` - list of unique and monotonically increasing values
Returns:
  list of fractions from 0 to 1